libKF5XmlGui5-32bit-5.57.0-1.2.x86_64.rpm


Advertisement

Description

libKF5XmlGui5-32bit - Framework for managing menu and toolbar actions

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libKF5XmlGui5-32bit-5.57.0-1.2.x86_64.rpm
Package name libKF5XmlGui5-32bit
Package version 5.57.0
Package release 1.2
Package architecture x86_64
Package type rpm
Category System/GUI/KDE
Homepage https://www.kde.org
License LGPL-2.1-or-later AND GPL-2.0-or-later
Maintainer -
Download size 360.90 KB
Installed size 1.18 MB
libkxmlgui provides a framework for managing menu and toolbar actions in an
abstract way. The actions are configured through a XML description and hooks
in the application code. The framework supports merging of multiple
description for example for integrating actions from plugins.

Alternatives

Package Version Architecture Repository
libKF5XmlGui5-32bit-5.58.0git.20190417T000729~1b49ea4-ku.34.5.x86_64.rpm 5.58.0git.20190417T000729~1b49ea4 x86_64 KDE Frameworks Unstable
libKF5XmlGui5-32bit-5.57.0-191.2.x86_64.rpm 5.57.0 x86_64 KDE Frameworks 5
libKF5XmlGui5-32bit - - -

Requires

Name Value
libKF5Attica.so.5 -
libKF5ConfigCore.so.5 -
libKF5ConfigGui.so.5 -
libKF5ConfigWidgets.so.5 -
libKF5CoreAddons.so.5 -
libKF5GlobalAccel.so.5 -
libKF5I18n.so.5 -
libKF5IconThemes.so.5 -
libKF5ItemViews.so.5 -
libKF5TextWidgets.so.5 -
libKF5WidgetsAddons.so.5 -
libKF5WindowSystem.so.5 -
libQt5Core.so.5 -
libQt5Core.so.5(Qt_5) -
libQt5Core.so.5(Qt_5.12) -
libQt5Core.so.5(Qt_5.12.3_PRIVATE_API) -
libQt5DBus.so.5 -
libQt5DBus.so.5(Qt_5) -
libQt5Gui.so.5 -
libQt5Gui.so.5(Qt_5) -
libQt5Network.so.5 -
libQt5Network.so.5(Qt_5) -
libQt5PrintSupport.so.5 -
libQt5PrintSupport.so.5(Qt_5) -
libQt5Widgets.so.5 -
libQt5Widgets.so.5(Qt_5) -
libQt5Xml.so.5 -
libQt5Xml.so.5(Qt_5) -
libc.so.6(GLIBC_2.4) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -

Provides

Name Value
libKF5XmlGui.so.5 -
libKF5XmlGui5-32bit = 5.57.0-1.2
libKF5XmlGui5-32bit(x86-32) = 5.57.0-1.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libKF5XmlGui5-32bit-5.57.0-1.2.x86_64.rpm
Source Package kxmlgui-5.57.0-1.2.src.rpm

Install Howto

Install libKF5XmlGui5-32bit rpm package:

# zypper install libKF5XmlGui5-32bit

Files

Path
/usr/lib/libKF5XmlGui.so.5
/usr/lib/libKF5XmlGui.so.5.57.0

Changelog

2019-04-14 - lbeltrame@kde.org
- Update to 5.57.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.57.0.php
- No code changes since 5.56.0
2019-03-10 - lbeltrame@kde.org
- Update to 5.56.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.56.0.php
- Changes since 5.55.0:
* Windows: fix the fix for... etc. Can't use a switch here.
* Fix the fix for Windows compilation
* Fix compile on windows
* [kxmlgui] remove deprecated method
* Port deprecated methods
2019-02-15 - alarrosa@suse.com
- Downgrade the Qt version requirement to build with 5.9
2019-02-10 - lbeltrame@kde.org
- Update to 5.55.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.55.0.php
- Changes since 5.54.0:
* Build without D-Bus on Android
* delete copy constructor and assignment operator of some internal classes
* Make KCheckAccelerators less invasive for apps that don't directly link to KXmlGui
2019-01-14 - lbeltrame@kde.org
- Update to 5.54.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.54.0.php
- Changes since 5.53.0:
* No code changes since 5.53.0
2018-12-10 - wbauer@tmo.at
- Use gcc7 on Leap 42.3 to fix build, compilation fails with the
default 4.8
2018-12-09 - lbeltrame@kde.org
- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* Qt 5.9 is now the required version
* Update the "About KDE" text
* Mark member pointer const to tell it will not be changed by design
* Use member-function-pointer-based signal/slot connection
* krulertest: remove deprecated defunct call
2018-11-11 - lbeltrame@kde.org
- Update to 5.52.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.52.0.php
- Changes since 5.51.0:
* Remove unused variables
* Take 1..n KMainWindows in kRestoreMainWindows
* Remove "void" as function argument
* Have include guard match header file name
* Include own header first
* Use single char for concat with QByteArray, not a string
* Use more explicit constructors with internal classes
* Use QStringLiteral if a final QString is wanted
* Use value argument for QLatin1String type in internal API
* Use more const ref with arguments in internal API
* Add missing "emit"
* Do not return void values in void methods
* Use Q_OBJECT with all QObject subclasses (helps debugging introspection)
* KAboutApplicationDialog: fix typo in apidox
* Add categories file
* Remove unused variable
2018-10-16 - Luca Beltrame <lbeltrame@kde.org>
- Run spec-cleaner
2018-10-15 - lbeltrame@kde.org
- Update to 5.51.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.51.0.php
- Changes since 5.50.0:
* Remove unused variable
* Fix compile with strict compiler flags
* Fix OCS provider URL in about dialog
* Fix remaining qWarning to be qCWarning
* Remove Qt module prefix from includes

See Also

Package Description
libKF5XmlGui5-5.57.0-1.2.i586.rpm Framework for managing menu and toolbar actions
libKF5XmlGui5-5.57.0-1.2.x86_64.rpm Framework for managing menu and toolbar actions
libKF5XmlGui5-lang-5.57.0-1.2.noarch.rpm Translations for package kxmlgui
libKF5XmlRpcClient5-32bit-5.57.0-1.1.x86_64.rpm Library containing simple XML-RPC Client support
libKF5XmlRpcClient5-5.57.0-1.1.i586.rpm Library containing simple XML-RPC Client support
libKF5XmlRpcClient5-5.57.0-1.1.x86_64.rpm Library containing simple XML-RPC Client support
libKF5XmlRpcClient5-lang-5.57.0-1.1.noarch.rpm Translations for package kxmlrpcclient5
libKGantt2-2.6.1-1.4.i586.rpm Gantt chart implementation for kdiagram
libKGantt2-2.6.1-1.4.x86_64.rpm Gantt chart implementation for kdiagram
libKPimGAPIBlogger5-19.04.0-1.1.i586.rpm Extension for accessing Google data
libKPimGAPIBlogger5-19.04.0-1.1.x86_64.rpm Extension for accessing Google data
libKPimGAPICalendar5-19.04.0-1.1.i586.rpm Extension for accessing Google data
libKPimGAPICalendar5-19.04.0-1.1.x86_64.rpm Extension for accessing Google data
libKPimGAPIContacts5-19.04.0-1.1.i586.rpm Extension for accessing Google data
libKPimGAPIContacts5-19.04.0-1.1.x86_64.rpm Extension for accessing Google data
Advertisement
Advertisement